Bug 145809 - [patch] port devel/subversion update to 1.6.11
Summary: [patch] port devel/subversion update to 1.6.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Lev A. Serebryakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-18 18:50 UTC by Olli Hauer
Modified: 2010-04-19 11:50 UTC (History)
1 user (show)

See Also:


Attachments
patch_subversion-1.6.11.txt (11.23 KB, text/plain)
2010-04-18 18:50 UTC, Olli Hauer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer 2010-04-18 18:50:02 UTC
- update subversion to from 1.6.9 to 1.6.11
- move pkg-deinstall to files/pkg-deinstall.in
- move dav_module activation (from apache) into dedicated script (files/pkg-install.in)
  to prevent the anoying double activation (apxs bug: https://issues.apache.org/bugzilla/show_bug.cgi?id=47397)
- change url in pkg-desc from tigris.org to apache.org
- add option to build and install svnauthz-validate, a tool to test authz files.

  if this patch will be commited, please close PR 145114 


Change Log: http://svn.apache.org/repos/asf/subversion/tags/1.6.11/CHANGES
==========================================================================
Version 1.6.11
(19 Apr 2010, from /branches/1.6.x)
http://svn.apache.org/repos/asf/subversion/tags/1.6.11

 User-visible changes:
  * fix for repositories mounted via NFS (issue #3501)
  * enable TCP keep-alives in svnserve (r880552)
  * tighten restrictions on revprops for 'svnadmin verify' (r904594)
  * make ra_serf give better out-of-date information (issue #3561)
  * improve error message upon connection failure with svn+ssh:// (r922516)
  * allow 'svn log' on an uncommitted copy/move destination (r901752)
  * make 'svnadmin hotcopy' copy the fsfs config file (r905303)
  * mergeinfo improvements with non-inheritable mergeinfo (issue #3573)
  * make mergeinfo queries not require access to the repo root (issue #3242)
  * update URLs to refer the the new apache.org repository (r904301, -94)
  * update relative externals during a switch (issue #3390)
  * fix 'merge --reintegrate' with self-referential mergeinfo (r892050, -85)
  * improve wc-ng working copy detection (r929382)
  * improve handling of mergeinfo when using serf (r880461)
  * fixed: 'svnlook plist --revprop' with '-t TXN_NAME' (r917640, -8211)
  * fixed: file external from URL cannot overwrite existing item (issue #3552)
  * fixed: potential memory error in 'svn status' (r923674, -9)
  * fixed: merge records mergeinfo from natural history gaps (issue #3432)
  * fixed: theoretical possibility of DB corruption (r926151, -67)

 Developer-visible changes:
  * disable checks for wc-ng working copies when running the test suite
  * on Windows, don't ignore move operation error codes (r896915)
  * more precise reporting of errors occuring with sqlite init (r927323, -8)
  * ensure rangelist APIs are commutative (r923389, -91)


Version 1.6.10
(Not released, see changes for 1.6.11.)
Comment 1 Edwin Groothuis freebsd_committer 2010-04-18 18:50:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lev

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-04-19 11:39:26 UTC
lev         2010-04-19 10:39:12 UTC

  FreeBSD ports repository

  Modified files:
    devel/subversion     Makefile Makefile.common distinfo 
                         pkg-descr pkg-plist 
  Added files:
    devel/subversion/files pkg-deinstall.in pkg-install.in 
  Removed files:
    devel/subversion     pkg-deinstall 
  Log:
    Update to 1.6.11.
    Make new pkg-install/pkg-deinstall scripts, disabled if here is no mod_dav_svn.
    Add option to build and install svnauthz-validate, a tool to test authz files.
  
  PR:             ports/145809, with some changes
  Submitted by:   olli hauer <ohauer@gmx.de>
  
  Revision  Changes    Path
  1.131     +28 -4     ports/devel/subversion/Makefile
  1.29      +14 -4     ports/devel/subversion/Makefile.common
  1.73      +3 -3      ports/devel/subversion/distinfo
  1.1       +75 -0     ports/devel/subversion/files/pkg-deinstall.in (new)
  1.1       +57 -0     ports/devel/subversion/files/pkg-install.in (new)
  1.4       +0 -71     ports/devel/subversion/pkg-deinstall (dead)
  1.3       +1 -1      ports/devel/subversion/pkg-descr
  1.42      +2 -2      ports/devel/subversion/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Lev A. Serebryakov freebsd_committer 2010-04-19 11:39:59 UTC
State Changed
From-To: open->closed

Committed, thanks!